aboutsummaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorJohn Criswell <criswell@uiuc.edu>2003-09-15 17:19:42 +0000
committerJohn Criswell <criswell@uiuc.edu>2003-09-15 17:19:42 +0000
commit1b82432a8377e1fbfac3b3e48a1000f49338513a (patch)
tree67be51aabd53d4592d6c9b62af1034b594e90404 /configure
parent93e1c72ec0dbdb0a3af1af61e7a78bc992efa60d (diff)
downloadexternal_llvm-1b82432a8377e1fbfac3b3e48a1000f49338513a.zip
external_llvm-1b82432a8377e1fbfac3b3e48a1000f49338513a.tar.gz
external_llvm-1b82432a8377e1fbfac3b3e48a1000f49338513a.tar.bz2
Modified the checks slightly so that one can re-configure LLVM without
having to do a "make distclean" when building in the source directory. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@8540 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure64
1 files changed, 33 insertions, 31 deletions
diff --git a/configure b/configure
index 50bbff2..c2c37c4 100755
--- a/configure
+++ b/configure
@@ -1509,14 +1509,16 @@ ac_config_sub="$SHELL $ac_aux_dir/config.sub"
ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
-if test -f ${srcdir}/include/Config/config.h
+if test ${srcdir} != "."
then
- { { echo "$as_me:$LINENO: error: Already configured in ${srcdir}" >&5
+ if test -f ${srcdir}/include/Config/config.h
+ then
+ { { echo "$as_me:$LINENO: error: Already configured in ${srcdir}" >&5
echo "$as_me: error: Already configured in ${srcdir}" >&2;}
{ (exit 1); exit 1; }; }
+ fi
fi
-
ac_config_headers="$ac_config_headers include/Config/config.h"
ac_config_commands="$ac_config_commands Makefile"
@@ -4394,7 +4396,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4397 "configure"' > conftest.$ac_ext
+ echo '#line 4399 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -5235,7 +5237,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:5238:" \
+echo "$as_me:5240:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6244,11 +6246,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6247: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6249: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6251: \$? = $ac_status" >&5
+ echo "$as_me:6253: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -6476,11 +6478,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6479: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6481: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:6483: \$? = $ac_status" >&5
+ echo "$as_me:6485: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -6543,11 +6545,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:6546: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:6548: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:6550: \$? = $ac_status" >&5
+ echo "$as_me:6552: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -8555,7 +8557,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8558 "configure"
+#line 8560 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -8653,7 +8655,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 8656 "configure"
+#line 8658 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10789,11 +10791,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:10792: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:10794: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:10796: \$? = $ac_status" >&5
+ echo "$as_me:10798: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -10856,11 +10858,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:10859: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:10861: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:10863: \$? = $ac_status" >&5
+ echo "$as_me:10865: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -12099,7 +12101,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 12102 "configure"
+#line 12104 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12197,7 +12199,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 12200 "configure"
+#line 12202 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13019,11 +13021,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13022: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13024: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13026: \$? = $ac_status" >&5
+ echo "$as_me:13028: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -13086,11 +13088,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13089: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13091: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:13093: \$? = $ac_status" >&5
+ echo "$as_me:13095: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15030,11 +15032,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15033: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15035: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15037: \$? = $ac_status" >&5
+ echo "$as_me:15039: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -15262,11 +15264,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15265: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15267: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:15269: \$? = $ac_status" >&5
+ echo "$as_me:15271: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
@@ -15329,11 +15331,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:15332: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:15334: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:15336: \$? = $ac_status" >&5
+ echo "$as_me:15338: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -17341,7 +17343,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17344 "configure"
+#line 17346 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -17439,7 +17441,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 17442 "configure"
+#line 17444 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H